package main

import (
	"fmt"
	"github.com/jmoiron/sqlx"
	"log"
)

func dbSetup(config *Configs) {
	var err error
	psqlConfig := fmt.Sprintf(
		"dbname=%s host=%s sslmode=disable",
		config.Dbname,
		config.Dbhost,
	)
	db, err = sqlx.Open(
		"postgres",
		psqlConfig,
	)
	if err != nil {
		log.Fatal("Issues connecting to db:", err)
	} else {
		log.Printf("connected to db %s", psqlConfig)
	}
}
